Bug 239325 - CVE-2007-1825: Buffer overflow in the imap_mail_compose function
CVE-2007-1825: Buffer overflow in the imap_mail_compose function
Status: CLOSED DUPLICATE of bug 240426
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php (Show other bugs)
4.5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-07 11:43 EDT by paul boin
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-17 10:26:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description paul boin 2007-05-07 11:43:28 EDT
Like the other PHP bugs, this on is mentioned in 230556, but not explicitly
closed and documented in any errata that I can find.

-------------------------------------------------------------------

Buffer overflow in the imap_mail_compose function in PHP 5 before 5.2.1, and PHP
4 before 4.4.5, allows remote attackers to execute arbitrary code via a long
boundary string in a type.parameters field. NOTE: as of 20070411, it appears
that this issue might be subsumed by CVE-2007-0906.3.

    * MISC:http://www.php-security.org/MOPB/MOPB-40-2007.html
    * BID:23234
    * URL:http://www.securityfocus.com/bid/23234
Comment 1 Joe Orton 2007-05-17 10:26:15 EDT
Thanks for the report - this is another case where a new CVE name was assigned
once more information was available.

*** This bug has been marked as a duplicate of 240426 ***

Note You need to log in before you can comment on or make changes to this bug.